craco-plugin-scoped-css

    1.1.1 • Public • Published

    craco-plugin-scoped-css

    This is a craco plugin that adds scoped css support to create-react-app version >= 2 (this package is part of react scoped css solution)

    Installation

    First, follow the craco Installation Instructions to install the craco package, create a craco.config.js file, and modify the scripts in your package.json.

    Then install craco-plugin-scoped-css:

    $ yarn add craco-plugin-scoped-css
    
    # OR
    
    $ npm i -S craco-plugin-scoped-css

    Usage

    Here is a complete craco.config.js configuration file that adds react-scoped-css to create-react-app:

    module.exports = {
      plugins: [
        {
          plugin: require('craco-plugin-scoped-css'),
        },
      ],
    }

    Some common use cases with react scoped css

    Check out simple-scoped-css-example

    Install

    npm i craco-plugin-scoped-css

    DownloadsWeekly Downloads

    1,529

    Version

    1.1.1

    License

    MIT

    Unpacked Size

    4.28 kB

    Total Files

    4

    Last publish

    Collaborators

    • gaoxiaoliangz